# Created by pyp2rpm-1.0.1
%global with_python3 1
%global pypi_name astropy
%global upname astropy
%global py2_setup_args --offline --no-git
%global py3_setup_args --offline --no-git

Name:           python-astropy
Version:        1.2.1
Release:        %mkrel 1
Group:          Sciences/Astronomy
Summary:        Community-developed python astronomy tools

License:        BSD
URL:            http://www.astropy.org/
Source0:        http://pypi.python.org/packages/source/a/astropy/astropy-%{version}.tar.gz
Patch0:         astropy-1.1.2-usesyslib.patch
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  wcslib-devel >= 4.25
BuildRequires:  expat-devel
BuildRequires:  erfa-devel
BuildRequires:  cfitsio-devel >= 3.350
BuildRequires:  python-numpy-devel
Requires:       python-numpy
# remove old python-stsci to avoid fitscheck conflict
Obsoletes:      python-stsci <= 2.13-1.mga4

%description
Astropy is a package intended to contain core functionality and some
common tools needed for performing astronomy and astrophysics research
with Python. It also provides an index for other astronomy packages
and tools for managing them.

%if 0%{?with_python3}
%package -n python3-%{upname}
Summary:        Community-developed python astronomy tools
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  wcslib-devel
BuildRequires:  expat-devel
BuildRequires:  erfa-devel
BuildRequires:  cfitsio-devel >= 3.350
BuildRequires:  python3-numpy-devel
Requires:       python3-numpy
Obsoletes:      python3-stsci <= 2.13-1.mga4

%description -n python3-%{upname}
Astropy is a package intended to contain core functionality and some
common tools needed for performing astronomy and astrophysics research
with Python. It also provides an index for other astronomy packages
and tools for managing them.
%endif

%package -n %{upname}-tools
Summary: Astropy utility tools
BuildArch: noarch
Requires: python-%{upname} = %{version}-%{release}

%description -n %{upname}-tools
Utilities provided by Astropy: 'volint' for validating a Virtual Observatory 
files, 'wcslint' for validating the WCS keywords in a FITS file.

%prep 
%setup -q -n %{pypi_name}-%{version}

%__rm -rf cextern/expat
%__rm -rf cextern/erfa
%__rm -rf cextern/cfitsio
%__rm -rf cextern/wcslib
#__rm -rf astropy_helpers/astropy_helpers.egg-info
%autopatch -p1
sed -i -e 's/->quantize_dither/->quantize_method/g' \
   astropy/io/fits/src/compressionmodule.c
%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%py2_build
%if 0%{?with_python3}
pushd %{py3dir}
%py3_build
popd
%endif # with_python3

%install
%if 0%{?with_python3}
pushd %{py3dir}
%py3_install
popd
%endif # with_python3

%py2_install

# install_scripts target seems to overwrite the shebang of the scripts
# it doesn't matter the the order of the installs
# fixing it here
#for i in %{buildroot}/usr/bin/*; do 
# sed -i '1s|^#!%{__python3}|#!%{__python}|' $i
#done

%files -n %{upname}-tools
%{_bindir}/volint
%{_bindir}/fitscheck
%{_bindir}/fitsdiff
%{_bindir}/fitsheader
%{_bindir}/samp_hub
%{_bindir}/wcslint
%{_bindir}/fits2bitmap
%{_bindir}/fitsinfo

%files
%doc README.rst licenses/LICENSE.rst
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info


%if 0%{?with_python3}
%files -n python3-%{upname}
%doc README.rst licenses/LICENSE.rst
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%endif # with_python3




%changelog
* Thu Dec 01 2016 eatdirt <eatdirt> 1.2.1-1.mga6
+ Revision: 1071457
- Upgrade to version 1.2.1

* Tue Nov 22 2016 eatdirt <eatdirt> 1.1.2-2.mga6
+ Revision: 1068812
- Rebuild for new cfitsio

* Fri Mar 11 2016 eatdirt <eatdirt> 1.1.2-1.mga6
+ Revision: 989216
- Upgrade to version 1.1.2
- Rebuilt for new cfitsio

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Oct 08 2015 eatdirt <eatdirt> 1.0.5-1.mga6
+ Revision: 887565
- Upgrade to version 1.0.5

* Tue Jul 14 2015 joequant <joequant> 1.0.3-1.mga6
+ Revision: 854021
- upgrade to 1.0.3

* Fri Feb 06 2015 joequant <joequant> 0.4.1-7.mga5
+ Revision: 813696
- bump number
- activate python3

* Fri Feb 06 2015 joequant <joequant> 0.4.1-6.mga5
+ Revision: 813690
- add system erfa line
- fix group
- add python3 code

* Fri Feb 06 2015 joequant <joequant> 0.4.1-5.mga5
+ Revision: 813645
- fix build

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Sat Aug 30 2014 joequant <joequant> 0.4.1-1.mga5
+ Revision: 669399
- update to 0.4.1

  + pterjan <pterjan>
    - Rebuild for new Python

* Thu Feb 27 2014 eatdirt <eatdirt> 0.2.4-5.mga5
+ Revision: 597702
- Rebuild for new cfitsio

* Tue Oct 22 2013 umeabot <umeabot> 0.2.4-4.mga4
+ Revision: 542906
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.4-3.mga4
+ Revision: 498127
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 04 2013 joequant <joequant> 0.2.4-2.mga4
+ Revision: 463155
- override binaries in python-stsci

* Fri Jul 26 2013 joequant <joequant> 0.2.4-1.mga4
+ Revision: 458558
- fix bindir
- update to 0.2.4 and fix cfitsio compatibility
- upgrade to 0.2.3
- imported package python-astropy

